app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'WelcomeController@index');

Route::get('home', 'HomeController@index');

Route::controllers([
	'auth' => 'Auth\AuthController',
	'password' => 'Auth\PasswordController'
]);

//Entidad Genero---------------------------------------------------------------------------------

Route::resource('genero', 'GeneroController');

Route::get('genero/destroy/{id}', ['as'=>'genero/destroy', 'uses'=>'GeneroController@destroy']);

Route::post('genero/search', ['as'=>'genero/search', 'uses'=>'GeneroController@search']);

//Entidad Movie----------------------------------------------------------------------------------

Route::resource('movie', 'MovieController');

Route::get('movie/destroy/{id}', ['as'=>'movie/destroy', 'uses'=>'MovieController@destroy']);

Route::post('movie/search', ['as'=>'movie/search', 'uses'=>'MovieController@search']);
Route::post('movie/store', ['as'=>'movie/store', 'uses'=>'MovieController@store']);

//Entidad Empleado-------------------------------------------------------------------------------

Route::resource('empleado', 'EmpleadoController');

Route::get('empleado/destroy/{id}', ['as'=>'empleado/destroy', 'uses'=>'EmpleadoController@destroy']);

Route::post('empleado/search', ['as'=>'empleado/search', 'uses'=>'EmpleadoController@search']);

//Entidad Cliente-------------------------------------------------------------------------------

Route::resource('cliente', 'ClienteController');

Route::get('cliente/destroy/{Id}', ['as'=>'cliente/destroy', 'uses'=>'ClienteController@destroy']);

Route::post('cliente/search', ['as'=>'cliente/search', 'uses'=>'ClienteController@search']);

//Entidad Venta---------------------------------------------------------------------------------

Route::resource('venta', 'VentaController');

Route::get('venta/destroy/{Id}', ['as'=>'venta/destroy', 'uses'=>'VentaController@destroy']);

Route::post('venta/search', ['as'=>'venta/search', 'uses'=>'VentaController@search']);

Route::post('venta/store', ['as'=>'venta/store', 'uses'=>'VentaController@store']);

app/Models/Movie.php
<?php namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Movie extends Model {

	protected $table = 'movies';
	protected $fillable = ['name','description','valorAlquiler'];
	protected $guarded = ['id'];
}

app/Http/Controllers/MovieController.php
<?php namespace App\Http\Controllers;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Genero as Genero;
use App\Models\Movie as Movie;
use Illuminate\Http\Request;

class MovieController extends Controller {

	/**
	 * Display a listing of the resource.
	 *
	 * @return Response
	 */
	public function index()
	{
		$movies = Movie::all();
		
		return \View::make('Movie/list', compact('movies'));
	}

	/**
	 * Show the form for creating a new resource.
	 *
	 * @return Response
	 */
	public function create()
	{
		$generos = Genero::select('id','nombre')->get();
		return \View::make('Movie/new', compact('generos'));
	}

	/**
	 * Store a newly created resource in storage.
	 *
	 * @return Response
	 */
	public function store(Request $request)
	{
		if($request->ajax())
		{
			$movie = new Movie;
			$movie->name = $request->nombre;
			$movie->description = $request->descripcion;	
			$movie->save();

			//Registro en la tabla detalle por fluent
			$idMovie = $movie->id;

			for($i=1; $i <= $request->cantidadGenero ;$i++)
			{
				\DB::table('detalle_genero_movies')->insertGetId(
					['fk_genero' => $request->generoMovie[$i], 'fk_movie' => $idMovie ]);
			} 
			//fin Registro


			return redirect('movie');
		}		
	}

	/**
	 * Display the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function show($id)
	{
		//
	}

	/**
	 * Show the form for editing the specified resource.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function edit($id)
	{
		$movie = Movie::find($id);
		return \View::make('Movie/update', compact('movie'));
	}

	/**
	 * Update the specified resource in storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	public function update(Request $request)
	{
		$movie = Movie::find($request->id);
		$movie->name = $request->name;
		$movie->description = $request->description;
		$movie->save();
		return redirect('movie');
	}

	/**
	 * Remove the specified resource from storage.
	 *
	 * @param  int  $id
	 * @return Response
	 */
	
	//Consultar
	public function search(Request $request)
	{
		$movies = Movie::where('name','like','%'.$request->name.'%')->get();
		return \View::make('Movie/list', compact('movies'));
	}

	//Borrar
	public function destroy($id)
	{
		$movie = Movie::find($id);
		$movie->delete();
		return redirect()->back();
	}

}

resources/views/Movie/list.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		{!! Form::open(['route'=>'movie/search', 'method'=>'post', 'novalidate', 'class'=>'form-inline'])!!}
		<div class="form-group">
			<label for="exampleInputName2">Nombre</label>
			<input type="text" class="form-control" name="name">
		</div>
		<button type="submit" class="btn btn-default">Buscar</button>
		<a href="{{ route('movie.index') }}" class="btn btn-primary">Todos</a>
		<a href="{{ route('movie.create') }}" class="btn btn-primary">Registrar</a>
		{!! Form::close() !!}
		<br>
		<table class="table table-condensed table-striped table-bordered">
			<thead>
				<tr>
				    <td>Id</td>
					<td>Nombre</td>
					<td>Descripcion</td>
					<td>Generos</td>
					<td>Valor</td>
					<td>Accion</td>
				</tr>
			</thead>
			<tbody>
				@foreach($movies as $movie)
				<tr>
				    <td>{{ $movie->id}}</td>
					<td>{{ $movie->name }} </td>
					<td>{{ $movie->description}} </td>
					<td>{{ $movie->generoMovie}} </td>
					<td>{{ $movie->valorAlquiler}} </td>
					<td>
						<a class="btn btn-primary" href="{{ route('movie.edit',['id'=>$movie->id])}}">Editar</a>
						<a class="btn btn-danger" href="{{ route('movie/destroy', ['id'=>$movie->id]) }}">Borrar</a>
					</td>
				</tr>
				@endforeach
			</tbody>
		</table>
	</div>
</div>
@endsection

resources/views/Movie/new.blade.php
@extends('app')
@section('content')
<div class="container">
	<div class="row">
		<div class"col-md-10 col-md-offset-1">
			{!! Form::open(['id' => 'formulario','route' => 'movie.store', 'method' => 'post', 'novalidate']) !!}
				<input type="hidden" name="tokenMovie" id="tokenMovie" value="{{ csrf_token() }}">
				<div class="Form-group">
					{!! Form::label('full_name', 'Nombre')!!}
					{!! Form::text('name', null, ['id' =>'nombreMovie', 'class' => 'form-control', 'required' => 'required'])!!}
				</div>
				<div class="Form-group">
					{!! Form::label('email', 'Descripcion')!!}
					{!! Form::text('description', null, ['id' =>'descripcionMovie','class'=>'form-control', 'required' => 'required'])!!}
				</div>
				<div class="Form-group" >
					{!! Form::label('lb_genero', 'Seleccionar genero')!!}
					<select class="form-control" id="generoMovie">
						@foreach($generos as $genero)
							<option value="{{$genero->id}}">{{$genero->nombre}}</option>
						@endforeach
					</select>
				<div class="Form-group">
					{!! Form::button('Agregar', ['id' => 'agregarGenero','class'=>'btn btn-success']) !!}
			    </div>
				</div>			
				<div id="column">
					{!! Form::hidden('cantidad', 0, ['id'=>'cantidadGenero']) !!}
				</div>
				<div class="Form-group">
					{!! Form::submit('Enviar', ['id'=> 'enviarMovie', 'class'=>'btn btn-success'])!!}				
				</div>			
			{!! Form::close()!!}
			
		</div>
	</div>
</div>
@endsection

resources/views/Movie/update.blade.php
@extends('app');
@section('content')
<div class="container">
	<div class="row">
		<div class="col-md-10 col-md-offset-1">
			{!! Form::model($movie, ['route' => 'movie.update', 'method' => 'put', 'novalidate'])!!}
			{!! Form::hidden('id', $movie->id)!!}
			<div class="form-group">
				{!! Form::label('full_name', 'Nombre')!!}
				{!! Form::text('name', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::label('email', 'Descripcion')!!}
				{!! Form::text('description', null, ['class' => 'form-control','required' => 'required'])!!}
			</div>
			<div class="form-group">
				{!! Form::submit('Enviar', ['class' => 'btn btn-success'])!!}
			</div>
			{!! Form::close()!!}
		</div>
	</div>
</div>
@endsection